librime: rime::Deployer Class Reference

| librime 1.2 Rime Input Method Engine, the core library

Public Member Functions | Public Attributes | List of all members
rime::Deployer Class Reference

`#include <deployer.h>`

Inheritance diagram for rime::Deployer:
[legend]
Collaboration diagram for rime::Deployer:
[legend]

## Public Member Functions
RIME_DLL | Deployer ()
RIME_DLL | ~Deployer ()
bool | RunTask (const string &task_name, TaskInitializer arg=TaskInitializer())
bool | ScheduleTask (const string &task_name, TaskInitializer arg=TaskInitializer())
void | ScheduleTask (an< DeploymentTask > task)
an< DeploymentTask > | NextTask ()
bool | HasPendingTasks ()
bool | Run ()
bool | StartWork (bool maintenance_mode=false)
bool | StartMaintenance ()
bool | IsWorking ()
bool | IsMaintenanceMode ()
void | JoinWorkThread ()
void | JoinMaintenanceThread ()
path | user_data_sync_dir () const
Public Member Functions inherited from rime::Messenger
MessageSink & | message_sink ()

## Public Attributes
path | shared_data_dir
path | user_data_dir
path | prebuilt_data_dir
path | staging_dir
path | sync_dir
string | user_id
string | distribution_name
string | distribution_code_name
string | distribution_version
string | app_name
bool | backup_config_files

## Additional Inherited Members
Public Types inherited from rime::Messenger
using | MessageSink
Protected Attributes inherited from rime::Messenger
MessageSink | message_sink_

## Constructor & Destructor Documentation

## ◆ Deployer()

rime::Deployer::Deployer | ( |  | ) |

## ◆ ~Deployer()

rime::Deployer::~Deployer | ( |  | ) |

## Member Function Documentation

## ◆ HasPendingTasks()

bool rime::Deployer::HasPendingTasks | ( |  | ) |

## ◆ IsMaintenanceMode()

bool rime::Deployer::IsMaintenanceMode | ( |  | ) |

## ◆ IsWorking()

bool rime::Deployer::IsWorking | ( |  | ) |

## ◆ JoinMaintenanceThread()

void rime::Deployer::JoinMaintenanceThread | ( |  | ) |

## ◆ JoinWorkThread()

void rime::Deployer::JoinWorkThread | ( |  | ) |

## ◆ NextTask()

an< DeploymentTask > rime::Deployer::NextTask | ( |  | ) |

## ◆ Run()

bool rime::Deployer::Run | ( |  | ) |

## ◆ RunTask()

bool rime::Deployer::RunTask | ( | const string & | task_name,
|  | TaskInitializer | arg = TaskInitializer() )

## ◆ ScheduleTask() [1/2]

void rime::Deployer::ScheduleTask | ( | an< DeploymentTask > | task | ) |

## ◆ ScheduleTask() [2/2]

bool rime::Deployer::ScheduleTask | ( | const string & | task_name,
|  | TaskInitializer | arg = TaskInitializer() )

## ◆ StartMaintenance()

bool rime::Deployer::StartMaintenance | ( |  | ) |

## ◆ StartWork()

bool rime::Deployer::StartWork | ( | bool | maintenance_mode = false | ) |

## ◆ user_data_sync_dir()

path rime::Deployer::user_data_sync_dir | ( |  | ) | const

## Member Data Documentation

## ◆ app_name

string rime::Deployer::app_name

## ◆ backup_config_files

bool rime::Deployer::backup_config_files

## ◆ distribution_code_name

string rime::Deployer::distribution_code_name

## ◆ distribution_name

string rime::Deployer::distribution_name

## ◆ distribution_version

string rime::Deployer::distribution_version

## ◆ prebuilt_data_dir

path rime::Deployer::prebuilt_data_dir

## ◆ shared_data_dir

path rime::Deployer::shared_data_dir

## ◆ staging_dir

path rime::Deployer::staging_dir

## ◆ sync_dir

path rime::Deployer::sync_dir

## ◆ user_data_dir

path rime::Deployer::user_data_dir

## ◆ user_id

string rime::Deployer::user_id

The documentation for this class was generated from the following files:

- deployer.h
- deployer.cc